Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj
Class Dashboard.MemAccess

    java.lang.Object
      edu.wpi.first.wpilibj.Dashboard.MemAccess

Enclosing class:
  Dashboard

    protected class Dashboard.MemAccess

extends Object

Constructor Summary
`protected` | `Dashboard.MemAccess(byte[] bytes)`
`protected` | `Dashboard.MemAccess(int length)`

Method Summary
`void` | `setByte(int index, byte value)`
`void` | `setBytes(int index, byte[] value, int offset, int number)`
`void` | `setDouble(int index, double value)`
`void` | `setFloat(int index, float value)`
`void` | `setInt(int index, int value)`
`void` | `setShort(int index, short value)`
`void` | `setString(int index, String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dashboard.MemAccess

    protected Dashboard.MemAccess(byte[] bytes)

### Dashboard.MemAccess

    protected Dashboard.MemAccess(int length)

Method Detail

### setByte

    public void setByte(int index,
                        byte value)

### setShort

    public void setShort(int index,
                         short value)

### setInt

    public void setInt(int index,
                       int value)

### setFloat

    public void setFloat(int index,
                         float value)

### setDouble

    public void setDouble(int index,
                          double value)

### setString

    public void setString(int index,
                          String value)

### setBytes

    public void setBytes(int index,
                         byte[] value,
                         int offset,
                         int number)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"